com.jscape.inet.smtp

## Enum Smtp.Authentication

- java.lang.Object
- - java.lang.Enum<Smtp.Authentication>
  - - com.jscape.inet.smtp.Smtp.Authentication

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Smtp.Authentication>
  Enclosing class:
    Smtp

      public static enum Smtp.Authentication
      extends java.lang.Enum<Smtp.Authentication>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `CRAM_MD5`
    `XOAUTH2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `code`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `apply(Smtp client, java.lang.String username, java.lang.String password)`
    `static Smtp.Authentication` | `authenticationFor(int code)`
    `static Smtp.Authentication` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Smtp.Authentication[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final Smtp.Authentication BASIC

    - #### CRAM_MD5

          public static final Smtp.Authentication CRAM_MD5

    - #### XOAUTH2

          public static final Smtp.Authentication XOAUTH2

  - ### Field Detail

    - #### code

          public final int code

  - ### Method Detail

    - #### values

          public static Smtp.Authentication[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Smtp.Authentication c : Smtp.Authentication.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Smtp.Authentication valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### authenticationFor

          public static Smtp.Authentication authenticationFor(int code)

    - #### apply

          public abstract void apply(Smtp client,
                                     java.lang.String username,
                                     java.lang.String password)
                              throws SmtpException

      Throws:
        `SmtpException`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved